Update a user group

PATCH/v1/users/group/{uuid}

Path parameters

  • uuidstringRequired#
    Unique identifier of the user group.

Request body

Body shape: Request_UpdateUserGroup (required)

Responses

200Updated user group.UserGroupResource
/** Imported from delio-core. */
interface UserGroupResource {
  /** uuid from delio-core. */
  uuid: string
  /** unreadNotificationsCount from delio-core. */
  unreadNotificationsCount?: unknown
  /** usersCount from delio-core. */
  usersCount?: unknown
  /** childGroupsCount from delio-core. */
  childGroupsCount?: unknown
  /** name from delio-core. */
  name?: unknown
  /** description from delio-core. */
  description?: unknown
  /** leadUser from delio-core. */
  leadUser?: unknown
  /** users from delio-core. */
  users?: UserResource[]
  /** featureFlags from delio-core. */
  featureFlags?: UserGroupFeatureFlagResource[]
  /** childGroups from delio-core. */
  childGroups?: UserGroupResource[]
  /** parentGroup from delio-core. */
  parentGroup?: unknown
}
401Unauthorized.Error
404Not found.Error
curl -X PATCH https://your-url.com/kong/core/api/gateway/v1/users/group/{uuid}\
  -H "Authorization: Bearer $DELIO_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "uuid": "00000000-0000-0000-0000-000000000000"
}'